Jump to content


Photo

problem to install a ipk by filebrowser


  • Please log in to reply
5 replies to this topic

#1 ubidubo

  • Member
  • 24 posts

0
Neutral

Posted 24 October 2020 - 16:32

Hello, 

 

I have a zgemma h9.2h , I'm trying to installa a plugin ( vhannibal autosetting). Usually to install it I put it in tmp folder and by plugin filebrowser I install it... but now I can't! this is the response: " completed. installed, upgraded or removed 0 packages". why???? usually it works!!!! 

 

can you help me?





Re: problem to install a ipk by filebrowser #2 ubidubo

  • Member
  • 24 posts

0
Neutral

Posted 24 October 2020 - 17:00

hello, ipk installer tell me: does not have a compatible architecture.  please help. How can I install it?



Re: problem to install a ipk by filebrowser #3 WanWizard

  • Forum Moderator
    PLi® Core member
  • 55,450 posts

+1,126
Excellent

Posted 24 October 2020 - 17:43

Find an ipk with the correct architecture. And explain to the maker that setting files are not architecture bound, so he should create his ipk's for the 'all' acrhitecture.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: problem to install a ipk by filebrowser #4 ubidubo

  • Member
  • 24 posts

0
Neutral

Posted 24 October 2020 - 17:52

tha architecture is good. someone told me openpli have problems with ipk... true? or not..?



Re: problem to install a ipk by filebrowser #5 littlesat

  • PLi® Core member
  • 52,264 posts

+591
Excellent

Posted 24 October 2020 - 18:04

..:

Edited by littlesat, 24 October 2020 - 18:05.

WaveFrontier 28.2E | 23.5E | 19.2E | 16E | 13E | 10/9E | 7E | 5E | 1W | 4/5W | 15W


Re: problem to install a ipk by filebrowser #6 WanWizard

  • Forum Moderator
    PLi® Core member
  • 55,450 posts

+1,126
Excellent

Posted 24 October 2020 - 18:07

tha architecture is good. someone told me openpli have problems with ipk... true? or not..?

 

Define problems? It is simply not true that every ipk installs on every system.

 

It needs to be made for the correct CPU architecture, and if it contains binary files, those need to be compiled against the same libraries (versions) as are installed on the box.

 

For a H9.2H, you need an ipk made for the "cortexa15hf-neon-vfpv4" architecture.

 

Which is why I said that if the ipk doesn't contain binary files, it should be made for the "all" architecture, which DOES install on every box regardless of the image used (as long as it uses the opkg package system).


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users